org.eclipse.jetty.websocket

## Enum WebSocketParserRFC6455.State

- java.lang.Object
- - java.lang.Enum<WebSocketParserRFC6455.State>
  - - org.eclipse.jetty.websocket.WebSocketParserRFC6455.State

- All Implemented Interfaces:
    Serializable, Comparable<WebSocketParserRFC6455.State>
  Enclosing class:
    WebSocketParserRFC6455

      public static enum WebSocketParserRFC6455.State
      extends Enum<WebSocketParserRFC6455.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATA`
    `LENGTH_16`
    `LENGTH_63`
    `LENGTH_7`
    `MASK`
    `OPCODE`
    `PAYLOAD`
    `SEEK_EOF`
    `SKIP`
    `START`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WebSocketParserRFC6455.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WebSocketParserRFC6455.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START

          public static final WebSocketParserRFC6455.State START

    - #### OPCODE

          public static final WebSocketParserRFC6455.State OPCODE

    - #### LENGTH_7

          public static final WebSocketParserRFC6455.State LENGTH_7

    - #### LENGTH_16

          public static final WebSocketParserRFC6455.State LENGTH_16

    - #### LENGTH_63

          public static final WebSocketParserRFC6455.State LENGTH_63

    - #### MASK

          public static final WebSocketParserRFC6455.State MASK

    - #### PAYLOAD

          public static final WebSocketParserRFC6455.State PAYLOAD

    - #### DATA

          public static final WebSocketParserRFC6455.State DATA

    - #### SKIP

          public static final WebSocketParserRFC6455.State SKIP

    - #### SEEK_EOF

          public static final WebSocketParserRFC6455.State SEEK_EOF

  - ### Method Detail

    - #### values

          public static WebSocketParserRFC6455.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WebSocketParserRFC6455.State c : WebSocketParserRFC6455.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WebSocketParserRFC6455.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1995-2015 Mort Bay Consulting. All Rights Reserved.